
Summary: clock that displays time as a text phrase (eg: "Three Twenty-Eight pm")
Name: xticktalk
Version: 4.3
Release: 3
Copyright: Freely Distributable
Group: X11/Utilities
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://midnight.com/pub/Ticktalk/xticktalk-4.3.tar.gz
Patch: xticktalk-4.3-linux.patch
Buildroot: /tmp/build_root

%description
The programs ticktalk and xticktalk display the current time in words in
various languages, in a terminal or X11 window respectively. They are
the efforts of Art Mellor and John Reardon, both of Midnight Networks
Inc. The source code for the latest version is available by anonymous
ftp from ftp.midnight.com.

%prep
%setup -c
%patch -p1

%build
xmkmf -a
make all

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# create needed directories
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
# install executables
install -m 755 -s ticktalk $RPM_BUILD_ROOT/usr/bin/ticktalk
install -m 755 -s xticktalk $RPM_BUILD_ROOT/usr/X11R6/bin/xticktalk
# install man page
cp -p xticktalk.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xticktalk.1x
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/man/man1/xticktalk.1x
# install default X11 resource file
cp -p XTicktalk.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XTicktalk
chmod 0444 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XTicktalk

%files
/usr/bin/ticktalk
/usr/X11R6/bin/xticktalk
/usr/X11R6/man/man1/xticktalk.1x
/usr/X11R6/lib/X11/app-defaults/XTicktalk
